Subject: Re: [Healeys] Sarasota Fl

From: Michael Salter <[email-masked]>
Date: Sat, 24 Nov 2012 14:10:12 -0500

Many thanks to all for the recommendations for my Sarasota visit.
Looks like I have a busy couple of days ahead.
Michael S

On Sat, Nov 24, 2012 at 9:31 AM, Michael Salter <[email-masked]>wrote:

> I'm in Sarasota for a couple of days...I see there is a motor museum which
> is on my list...anything else on or in the area that I should not miss?
>
> Thanks,
> --
> Michael Salter
>
>
>

-- 
Michael Salter

                         *I have BJ8 water pump kits!!*
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys